CXX := g++
ODB := odb
CXXFLAGS := -W -Wall -Wno-unknown-pragmas -O3
LIBS := -lodb-boost -lodb-pgsql -lodb -lboost_date_time

driver: driver.o post-odb.o time.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

driver.o: post-odb.hxx

.PHONY: test
test: driver
	./driver --database odb_test --user odb_test

.PHONY: clean
clean:
	rm -f *-odb.?xx *.o driver

# ODB compilation.
#
%-odb.hxx %-odb.ixx %-odb.cxx %.sql: %.hxx
	$(ODB) $(CPPFLAGS) -d pgsql -s --schema-format embedded -q -p boost/date-time $<

# C++ compilation.
#
%.o: %.cxx
	$(CXX) $(CPPFLAGS) -DDATABASE_PGSQL $(CXXFLAGS) -c $< -o $@
